Bug 1118860 - after kernel upgrade xen boot errs with "can't find $xen_rm_opts"
Summary: after kernel upgrade xen boot errs with "can't find $xen_rm_opts"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 18:19 UTC by Mike Wright
Modified: 2015-06-29 21:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:33:44 UTC


Attachments (Terms of Use)

Description Mike Wright 2014-07-11 18:19:04 UTC
Description of problem:

After kernel upgrade following boot into xen.gz throws error "can't find $xen_rm_opts"

Version-Release number of selected component (if applicable):

xen-4.3.2 and all recent linux kernels

How reproducible:

Every time

Steps to Reproduce:

1. update kernel
2. reboot

Actual results:

Boot prints "can't find $xen_rm_opts"

Expected results:

No error

Additional info:

After typing any key or waiting for the timeout boot proceeds normally.

Steps to elimate the error:

yum erase xen; yum install xen

Comment 1 Josh D Miller 2014-08-05 22:38:08 UTC
I am experiencing this same issue, with two key differences:

1. After pressing a key, it does not boot normally, but instead displays a kernel panic and reboots.

2. Erasing and reinstalling xen does not fix it.

The grub menu does hint at a problem, however. The default entry is for kernel 3.15.7-200 but the latest Xen entry is for kernel 3.15.6-200.

This is a critical error for me; all VMs are now inoperable.

Comment 2 Josh D Miller 2014-08-06 00:06:13 UTC
I was able to solve this issue by manually re-creating the grub file: `grub2-mkconfig -o /boot/grub2/grub.cfg`.

Shouldn't this be done automatically during an installation of Xen? Checking the timestamps on all files in /boot reveal that none are touched during a xen installation, which doesn't seem quite right to me.

Comment 3 Fedora End Of Life 2015-05-29 12:21:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:33:44 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.